function insertImage(url) {
    var sel, range;
    var img = document.createElement('img');
    img.src = url;
    img.style.maxWidth = '100%';
    if (window.getSelection) {
        sel = window.getSelection();
        if (sel.getRangeAt && sel.rangeCount) {
            range = sel.getRangeAt(0);
            range.deleteContents();

            range.insertNode(img);
            range = range.cloneRange();
            range.setStartAfter(img);
            range.collapse(true);

            sel.removeAllRanges();
            sel.addRange(range);
            return 'Success';
        } else {
            var body = $('#CanaryBody');
            if (body.length > 0) {
                body.append(img);
            } else {
                document.body.appendChild(img);
            }
            return 'Fallback';
        }
    } else {
        var body = $('#CanaryBody');
        if (body.length > 0) {
            body.append(img);
        } else {
            document.body.appendChild(img);
        }
        return 'Fallback';
    }
};